# 写入以下内容
#setenv bootargs console=ttyS0,115200 panic=5 rootwait root=/dev/mmcblk0p2 earlyprintk rw
#setenv bootm_boot_mode sec
#setenv machid 1029
#load mmc 0:1 0x41000000 uImage
#load mmc 0:1 0x41d00000 script.bin
#bootm 0x41000000

# 第一行setenv命令，设定了变量bootargs(启动参数)为：通过tty0和ttyS0串口输出启动信息；启动失败延迟5秒重启，根文件在TF卡的第二分区，可读写；
# 第二行指定了bootm 模式
# 第三行指定解析设备树
# 第四行指定了将压缩后的内核uImage加载到 0x41000000 的位置
# 第五行指定了将 script.bin 加载到 0x41d00000 的位置
# 第六行为从加载地址启动内核的命令

part uuid mmc ${devnum}:3 uuid
setenv bootargs "console=ttyS2,115200 console=tty2 earlycon=uart8250,mmio32,0xfe660000 root=PARTUUID=${uuid} rw rootwait"

load mmc ${devnum}:2 ${fdt_addr_r} rockchip.dtb
load mmc ${devnum}:2 ${kernel_addr_r} kernel.img

booti ${kernel_addr_r} - ${fdt_addr_r}

